WSDL::WSMessageHelper Class Reference

helper class implementing sample message generation More...

## Public Member Functions

| constructor (WebService ws, *hash< auto > opts)
| creates the WebService object More...
hash< auto > | getMessage (string name)
| prepare sample message More...
auto | getMessage (WSMessage msg)
| prepare sample message More...

## Detailed Description

helper class implementing sample message generation

This is the class for generating sample SOAP messages based on a WSDL file

## Member Function Documentation

## constructor()

WSDL::WSMessageHelper::constructor | ( | WebService | ws,
|  | *hash< auto > | opts
| ) |  |

creates the WebService object

Parameters

  ws | the object representing the WSDL

  opts

  an optional hash of options with the following possible keys:
  - `"comments"`: (bool) generate comments as values with ^comment^ key, default: False
  - `"choices"`: (bool) generate choices as sub hashes ^choices^ key, default: False
  - `"max_items"` (int): max.number of array elements to output, default: 3

## getMessage() [1/2]

hash<auto> WSDL::WSMessageHelper::getMessage | ( | string | name | ) |

prepare sample message

Parameters

  name | message name

Returns
  a hash representing message

## getMessage() [2/2]

auto WSDL::WSMessageHelper::getMessage | ( | WSMessage | msg | ) |

prepare sample message

Parameters

  msg | WSMessage object

Returns
  a hash representing message